function [alpha] = build_alpha_table(a,b,prior,observations)

    T = length(observations);

    if(T <= 0)
        alpha = prior';
        return;
    end
    
    alpha = zeros(T,26);
    
    % generate alpha table
    o = observations(1);
    alpha(1,:) = prior .* b(:,o);
    for t=2:T
        for j=1:26
            o = observations(t);
            alpha(t,:) = alpha(t,:) + a(j,:) .* alpha(t-1,j);
        end
        alpha(t,:) = alpha(t,:) .* b(:,o)';
    end

end