% read wordlist
fid = fopen('wordlist.txt');
wordlist = textscan(fid, '%s');

% clean up wordlist
wordlist = char(wordlist{1});
wordlist = lower(wordlist);
valid_words = arrayfun( ... % make sure they're all letters
                        @(row) min(isletter(strcat(wordlist(row,:)))), ...
                        1:size(wordlist,1) ...
                       );
wordlist = wordlist(find(valid_words),:);

% get rid of words under 5 letters, for dictionary word prediction
lengths = arrayfun(@(row) length(strcat(wordlist(row,:))), 1:size(wordlist,1));
five_letter_wordlist = wordlist(find(lengths >= 5), :);

a = learn_transition_model(wordlist);

b = zeros(26,9);

b(1:3,2) = 1;   % ABC  = 2
b(4:6,3) = 1;   % DEF  = 3
b(7:9,4) = 1;   % GHI  = 4
b(10:12,5) = 1; % JKL  = 5
b(13:15,6) = 1; % MNO  = 6
b(16:19,7) = 1; % PQRS = 7
b(20:22,8) = 1; % TUV  = 8
b(23:26,9) = 1; % WXYZ = 9

prior = learn_initial_state(wordlist);

observations = [2 7 2 5 3]; % trying to say 'brake'
%observations = [2 2 2]; % trying to say 'babies'
%observations = [7 8]; % trying to say 'queen'
%observations = [5]; % trying to say 'loser'
%observations = []; % trying to say 'hello'

alpha = build_alpha_table(a,b,prior,observations);

predict_future(a,alpha,length(observations))

predict_word(a,alpha,observations,five_letter_wordlist)

