function [transition_table] = learn_transition_model(wordlist)

    R = size(wordlist,1);

    counts = zeros(26,26);
    
    for k=1:R

        if(mod(k,100) == 0) % only show progress every 100 steps
            disp(sprintf('%d of %d', k, R));
        end

        word = wordlist(k,:);
        for t=1:length(strcat(word))-1
            i = char2number(word(t));
            j = char2number(word(t+1));
            counts(i,j) = counts(i,j) + 1;
        end

    end

    % MLE
    for i=1:26
       transition_table(i,:) = counts(i,:) / sum(counts(i,:),2);
    end