function [prediction_vector] = predict_future_distribution(a,alpha,T,k)

    if(T == 0)
        % no observations - just predict the prior
        prediction_vector = alpha(1,:); % with no obs, this is the prior
    else
        % predict up to horizon T
        prediction_vector = alpha(T,:) / sum(alpha(T,:));
    end
    
    % predict further, based solely on transition model
    for t=T+1:k
        for j=1:26
            prediction_vector(:) = prediction_vector(:) + prediction_vector(j) * a(j,:)';
        end
    end
